# Hardware IDs

## List

> Retrieve Criteria Hardware ID List of a session server with the specified ID.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/LogonHours/{id}/Criteria/HardwareIDs":{"get":{"tags":["2-Site settings/Logon Hours/Criteria//Hardware ID"],"summary":"List","description":"Retrieve Criteria Hardware ID List of a session server with the specified ID.","operationId":"dd835d7a-efd1-4164-8eff-c0ef3a326411","parameters":[{"name":"id","in":"path","description":"The ID of a session server for which to retrieve the Criteria settings.","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/HardwareIDCriteriaEntry"}}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"HardwareIDCriteriaEntry":{"type":"object","properties":{"hardwareID":{"type":"string","description":"<para type=\"description\">The hardware ID.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Hardware ID criteria entry</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Add

> Add a hardware ID to the Hardware ID List of the Criteria settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/LogonHours/{id}/Criteria/HardwareIDs":{"post":{"tags":["2-Site settings/Logon Hours/Criteria//Hardware ID"],"summary":"Add","description":"Add a hardware ID to the Hardware ID List of the Criteria settings.","operationId":"c922a2a6-09cf-46be-a1ac-4cce14c86e3f","parameters":[{"name":"id","in":"path","description":"The ID of a session server for which to modify the Criteria settings.","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Hardware ID configuration.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/AddCriteriaHardwareID"}}}},"responses":{"201":{"description":"Created"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"409":{"description":"Conflict","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"AddCriteriaHardwareID":{"required":["hardwareID"],"type":"object","properties":{"hardwareID":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">The hardware ID to add to the Criteria.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Add a hardware ID to the Criteria Hardware ID list</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Remove

> Remove a hardware ID from the Hardware ID List of the Criteria settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/LogonHours/{id}/Criteria/HardwareIDs":{"delete":{"tags":["2-Site settings/Logon Hours/Criteria//Hardware ID"],"summary":"Remove","description":"Remove a hardware ID from the Hardware ID List of the Criteria settings.","operationId":"0b9a61b2-ab1f-411b-8d6d-1b3c6f46f359","parameters":[{"name":"id","in":"path","description":"The ID of a session server for which to modify the Criteria settings.","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Hardware ID configuration.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/RemoveCriteriaHardwareID"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"RemoveCriteriaHardwareID":{"required":["hardwareID"],"type":"object","properties":{"hardwareID":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">The hardware ID to remove from the Criteria.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Remove a hardware ID from the Criteria Hardware ID list</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```
